Bug 591646 - "pkg-config --libs OpenIPMIpthread" fails
"pkg-config --libs OpenIPMIpthread" fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
5.7
All Linux
low Severity high
: rc
: ---
Assigned To: Jan Safranek
qe-baseos-daemons
:
Depends On:
Blocks: 594072
  Show dependency treegraph
 
Reported: 2010-05-12 14:55 EDT by Christoph Maser
Modified: 2011-01-13 18:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The pkgconfig script contained incorrect link options. This could have resulted in linking errors when compiling software that used the OpenIPMI libraries. This update fixes the pkgconfig script and software correctly links to the OpenIPMI libraries.
Story Points: ---
Clone Of: 468067
: 594072 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:31:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0096 normal SHIPPED_LIVE OpenIPMI bug fix and enhancement update 2011-01-12 12:21:18 EST

  None (edit)
Description Christoph Maser 2010-05-12 14:55:06 EDT
+++ This bug was initially created as a clone of Bug #468067 +++

Description of problem:
copied from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=474087

# pkg-config --libs OpenIPMIpthread
Package pthread was not found in the pkg-config search path.
Perhaps you should add the directory containing `pthread.pc'
to the PKG_CONFIG_PATH environment variable
Package 'pthread', required by 'OpenIPMIpthread', not found

Please remove bogus pthread from Requires:
in /usr/lib/pkgconfig/OpenIPMIpthread.pc
and add -pthread to Cflags:

Version-Release number of selected component (if applicable):
both F-9 and F-10 have the issue:
OpenIPMI-devel-2.0.14-2.1.fc9
OpenIPMI-devel-2.0.14-4.fc10


How reproducible:
always

Steps to Reproduce:
1. try to build collectd-4.4.4 with --enable-ipmi
2. see http://koji.fedoraproject.org/koji/getfile?taskID=895839&name=build.log
3.
  
Actual results:
   libopenipmi . . . . no (/usr/bin/pkg-config doesn't know OpenIPMIpthread)

Expected results:
   libopenipmi detected

Additional info:

--- Additional comment from quantumburnz@hotmail.com on 2008-10-22 22:04:03 EDT ---

Thank you for the bug report.  At the moment, the Fedora developers are
busy fixing other issues and may not have time to work on this one.  The
best way to make sure your problem will get looked on is to report it to
the authors of the program. Most upstream authors use a bug tracking system
like bugzilla, and more people who know the code will be looking at the
bug report there.

The upstream bug tracking system to use is:
http://sourceforge.net/tracker/?group_id=36127&atid=416301

You are requested to add the bugzilla link here for tracking purposes.
Please make sure the bug isn't already in the upstream bug tracker
before filing it.

--- Additional comment from apevec@redhat.com on 2008-10-23 04:28:55 EDT ---

http://sourceforge.net/tracker/index.php?func=detail&aid=2188750&group_id=36127&atid=416301
Comment 1 Christoph Maser 2010-05-12 14:57:23 EDT
I have the exact same Problem on RHEL 5.5 

rpm -q OpenIPMI-libs
OpenIPMI-libs-2.0.16-7.el5
Comment 5 Eva Kopalova 2010-12-20 07:06:18 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The pkgconfig script contained incorrect link options. This could have resulted in linking errors when compiling software that used the OpenIPMI libraries. This update fixes the pkgconfig script and software correctly links to the OpenIPMI libraries.
Comment 7 errata-xmlrpc 2011-01-13 18:31:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0096.html

Note You need to log in before you can comment on or make changes to this bug.